Recommended update for systemtap

SUSE Recommended Update: Recommended update for systemtap
Announcement ID: SUSE-RU-2020:0735-1
Rating: important
References: #1159449
Affected Products:
  • SUSE Linux Enterprise Software Development Kit 12-SP4
  • SUSE Linux Enterprise Server 12-SP4

An update that has one recommended fix can now be installed.

Description:

This update for systemtap fixes the following issues:

  • Fix for kernel 'DWARF unwinder' to be compatible with 'kaslr'. Reduce warnings of inappropraite 'unwind data'. (bsc#1159449)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Software Development Kit 12-SP4:
    zypper in -t patch SUSE-SLE-SDK-12-SP4-2020-735=1
  • SUSE Linux Enterprise Server 12-SP4:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-2020-735=1

Package List:

  • SUSE Linux Enterprise Software Development Kit 12-SP4 (aarch64 ppc64le s390x x86_64):
    • systemtap-debuginfo-3.0-17.6.1
    • systemtap-debugsource-3.0-17.6.1
    • systemtap-sdt-devel-3.0-17.6.1
  • SUSE Linux Enterprise Server 12-SP4 (aarch64 ppc64le s390x x86_64):
    • systemtap-3.0-17.6.1
    • systemtap-debuginfo-3.0-17.6.1
    • systemtap-debugsource-3.0-17.6.1
    • systemtap-runtime-3.0-17.6.1
    • systemtap-runtime-debuginfo-3.0-17.6.1
    • systemtap-server-3.0-17.6.1
    • systemtap-server-debuginfo-3.0-17.6.1
  • SUSE Linux Enterprise Server 12-SP4 (noarch):
    • systemtap-docs-3.0-17.6.1

References: